Orangutan - Improvement #1089

Migrate to contexts dependencies/relations from weights

03 Nov 2010 12:10 - Andriy Lesyuk

Status: Open Start date: 03 Nov 2010
Priority: Minor Due date:

Assignee: Andriy Lesyuk % Done: 0%
Category: Core Estimated time: 0.00 hour
Target version: 2.00

Description

When the project started | decided to use “weight” for contexts sorting in queue because it was easier... Now | needed to change all
weight to “normalize” them. Besides if users begin write their own contexts there will be conflicts in weights. So now it seems better

to use dependencies.

This means that “weight” member is to be removed and replaced with two or more members, e.g.:

after => [ '"Number', 'YesNo' ],
before => 'Task',
requires => [ 'Number', 'YesNo' ]

Related issues:
Related to Orangutan - Enhancement #1601: Configuring contexts weights

Incomplete

02 Feb 2011

02 Feb 2011

History

#1 - 02 Feb 2011 16:31 - Andriy Lesyuk

- Target version set to 2.00

#2 - 03 Feb 2011 12:17 - Andriy Lesyuk

In addition to above conflicts should be added (maybe refer to Debian packages structure which has similar relations).

#3 - 03 Feb 2011 19:31 - Andriy Lesyuk

- Subject changed from Replace weight sorting with dependency based sorting to Migrate to contexts dependencies/relations from weights
